Public Class Library
    Public LibDataSet As DataSet

    Public Sub New(ByVal Filename As String)
        Try
            LibDataSet = New DataSet
            LibDataSet.BeginInit()
            LibDataSet.ReadXml(Filename)
            LibDataSet.EndInit()
        Catch ex As Exception
            'MsgBox("An error occured while loading the library:" & vbCrLf & ex.Message, MsgBoxStyle.Critical)
        End Try
    End Sub

    Public Function GetIndexForBook(ByVal BookName As String) As Integer
        Dim i As Integer
        Dim thisbook As String
        For i = 0 To LibDataSet.Tables(0).Rows.Count - 1
            thisbook = LibDataSet.Tables(0).Rows(i).Item(0)
            If InStr(thisbook, BookName, CompareMethod.Text) <> 0 Then
                Return i
            End If
        Next
    End Function

    Public Function GetBookPath(ByVal BookName As String, ByVal rownum As Integer) As String
        Dim thisBookFilepath As String
        thisBookFilepath = LibDataSet.Tables(0).Rows(rownum).Item(2)
        thisBookFilepath &= LibDataSet.Tables(0).Rows(rownum).Item(3)
        Return thisBookFilepath
    End Function

    Public Function BookFormatting(ByVal rownum As Integer) As String
        Return LibDataSet.Tables(0).Rows(rownum).Item(5)
    End Function

    Public Function GetShortName(ByVal rownum As Integer) As String
        Return LibDataSet.Tables(0).Rows(rownum).Item(1)
    End Function
End Class
