Public Class EnglishBible

    Const maxLines As Integer = 7999
    Dim ActualLines As Integer
    Dim VerseFromPhrase As String = "???"
    Public Title As String

    Structure refpoint
        Dim Verse As String
        Dim Startpos As Integer
    End Structure
    Public reference(maxLines) As refpoint

    Dim path As String

    Public Function GetVerse(ByVal ref As String, ByVal bookx As Integer) As String
        Dim i As Integer
        Dim Lower, Upper, StepVar As Integer

        If bookx < 13 Then
            Lower = 0
            Upper = ActualLines
            StepVar = 1
        Else
            Lower = ActualLines
            Upper = 0
            StepVar = -1
        End If

        Dim sOut As String
        For i = Lower To Upper Step StepVar
            If reference(i).Verse Is Nothing Then
            Else
                If reference(i).Verse.Length > 3 Then
                    If reference(i).Verse.StartsWith(ref) Then
                        Dim sr As New IO.StreamReader(path)
                        Dim lin As Integer
                        Do
                            If lin = reference(i).Startpos Then
                                sOut = sr.ReadLine
                                Exit Do
                            Else
                                Call sr.ReadLine()
                            End If
                            lin += 1
                        Loop Until sr.Peek <= -1
                        sr.Close()
                        sr = Nothing
                        Return FormatIndex(sOut)
                        Exit Function
                    End If
                End If
            End If
        Next
    End Function

    Public Function FormatIndex(ByVal s As String) As String
        On Error Resume Next
        Dim sout As String = s
        Dim tmp1 As String
        sout = sout.Replace("	", "|")
        Dim splt() As Char = {CChar("|")}
        Dim tmp2() As String = sout.Split(splt)
        sout = tmp2(1) & ":" & tmp2(2) & " " & tmp2(3)
        Return sout
    End Function

    Public Function ReferenceFromVerse(ByVal s As String) As String
        On Error Resume Next
        Dim sout As String = s
        Dim tmp1 As String
        sout = sout.Replace("	", "|")
        Dim splt() As Char = {CChar("|")}
        Dim tmp2() As String = sout.Split(splt)
        tmp2(0) = GetBook(tmp2(0))
        sout = tmp2(0) & " " & tmp2(1) & ":" & tmp2(2)
        Return sout
    End Function

    Function GetBook(ByVal sIn As String) As String
        On Error Resume Next
        Dim Book As String
        Dim index As Integer
        If CStr(sIn.Chars(0)) = "0" Then
            index = Microsoft.VisualBasic.Val(sIn.Chars(1))
        Else
            sIn = sIn.Substring(0, 2)
            index = CInt(Microsoft.VisualBasic.Val(sIn))
        End If
        index -= 40
        If index > BooksOfBible.Length - 1 Then index = BooksOfBible.Length - 1
        Book = BooksOfBible(index)
        Return Book
    End Function

    Public Sub New(ByVal filename As String)
        path = filename
        Dim sr As New IO.StreamReader(filename)
        ActualLines = 0
        Dim s As String = ""
        Dim cpos As Long = 0
        Do
            s = sr.ReadLine
            reference(ActualLines).Startpos = ActualLines
            reference(ActualLines).Verse = ReferenceFromVerse(s)
            ActualLines += 1
        Loop Until sr.Peek <= -1
        sr.Close()
        sr = Nothing

    End Sub


End Class
